OCF_HEARTBEAT_VSFTPD(7)

NAME
ocf_heartbeat_vsftpd - Manages an vsftpd

SYNOPSIS

vsftpd [start | stop | monitor | meta-data | validate-all]

DESCRIPTION

This script manages vsftpd

SUPPORTED PARAMETERS

binpath
    The vsftpd binary path. For example, "/usr/sbin/vsftpd"

    (optional, string, default "/usr/sbin/vsftpd")

conffile
    The vsftpd configuration file name with full path. For example, "/etc/vsftpd/vsftpd.conf"

    (optional, string, default "/etc/vsftpd/vsftpd.conf")

pidfile
    The vsftpd pidfile with full path. For example, "/var/run/vsftpd.pid"

    (optional, string, default "/var/run/vsftpd.pid")

SUPPORTED ACTIONS

This resource agent supports the following actions (operations):

start
    Starts the resource. Suggested minimum timeout: 20s.

stop
    Stops the resource. Suggested minimum timeout: 20s.

monitor
    Performs a detailed status check. Suggested minimum timeout: 20s. Suggested interval: 60s.

validate-all
    Performs a validation of the resource configuration. Suggested minimum timeout: 20s.

meta-data
    Retrieves resource agent metadata (internal use only). Suggested minimum timeout: 5s.

EXAMPLE CRM SHELL

The following is an example configuration for a vsftpd resource using the crm(8) shell:

    primitive p_vsftpd ocf:heartbeat:vsftpd \
      op monitor depth="0" timeout="20s" interval="60s"

EXAMPLE PCS

The following is an example configuration for a vsftpd resource using pcs(8)

    pcs resource create p_vsftpd ocf:heartbeat:vsftpd \
      op monitor OCF_CHECK_LEVEL="0" timeout="20s" interval="60s"

SEE ALSO

http://clusterlabs.org/

AUTHOR

ClusterLabs contributors (see the resource agent source for information about individual authors)